Skip to content

User Information

Method for getting user information for an authorized Sber session. Returns the operation confirmation type user_crypto_type, which is passed in the Sber payout methods.

URL

Method: GET

  • Production: https://api.baas.kvell.group/v1/sber/user-info
  • Stage: https://api.baas.stage.kvell.group/v1/sber/user-info

Request parameters

Name Data type Required Description
session_id string Yes Sber authorized session identifier

Example request

GET /v1/sber/user-info?session_id=11111111-1111-1111-1111-111111111111 HTTP/1.1
Host: api.baas.kvell.group
X-Api-Key: 00000000-0000-0000-0000-000000000000
X-Signature: signature

Request headers

Name Data type Required Description
X-Api-Key string Yes Unique shop identifier
X-Signature string Yes Signature

The X-Signature signature is generated by concatenating X-Api-Key, session_id, and secret_key. sha256 is computed from the resulting string:

sha256({X-Api-Key}{session_id}{secret_key})

where secret_key is the secret key found in the merchant's shop settings.

Request response

Example response

{
  "user_crypto_type": "SMS",
  "name": "ООО Ромашка",
  "email": "user@example.com"
}
{
  "errors": [
    {
      "code": 0,
      "message": "Field required",
      "field": "session_id"
    }
  ]
}

Response parameters

Name Data type Description
user_crypto_type string Sber user crypto profile: SMS — confirmation via SMS, Token — electronic key (token). Passed in the payout methods.
name string User name
email string User email

Error codes are listed in the General section.